安装scrapy出错Failed building wheel for Twisted

用64位windows10的CMD命令安装pip install scrapy出错:

用pip下载gensim出现exception 求大佬们指点!!! 5C
Collecting gensim
Using cached gensim-3.1.0.tar.gz
Exception:
Traceback (most recent call last):
File “c:program
filespython37libsite-packagespipcompat__init__.py”, line
73, in console_to_str
return s.decode(sys.__stdout__.encoding)
UnicodeDecodeError: ‘utf-8’ codec can’t decode byte 0xb9 in position 14:
invalid start byte

pip install pymongo 总是报错
报错代码如下:
C:Windowssystem32>pip install pymongo
Collecting pymongo
Using cached pymongo-3.4.0.tar.gz
Building wheels for collected packages: pymongo
Running setup.py bdist_wheel for pymongo … error
Failed building wheel for pymongo
Running setup.py clean for pymongo
Failed cleaning build dir for pymongo
Failed to build pymongo
Installing collected packages: pymongo
Running setup.py install for pymongo … error
Exception:
Traceback (most recent call last):
File
“C:ProgramDataAnaconda3libsite-packagespipcompat__init__.py”,
line
73, in console_to_str
return s.decode(sys.__stdout__.encoding)
UnicodeDecodeError: ‘utf-8’ codec can’t decode byte 0xa1 in position 42:
invalid
start byte

Windows8下安装Python的BeautifulSoup,windows8python

运行环境:Windows 8.1
Python:2.7.6

在安装的时候,我使用的pip来进行安装,命令如下:

复制代码 代码如下:

pip install beautifulsoup4

运行的时候,报错如下:

复制代码 代码如下:

Exception:
Traceback (most recent call last):
  File “J:Program Files
(x86)PythonPython27libsite-packagespipbasecomm
.py”, line 122, in main
    status = self.run(options, args)
  File “J:Program Files
(x86)PythonPython27libsite-packagespipcommands
stall.py”, line 278, in run
    requirement_set.prepare_files(finder,
force_root_egg_info=self.bundle, bu
e=self.bundle)
  File “J:Program Files
(x86)PythonPython27libsite-packagespipreq.py”,
ne 1229, in prepare_files
    req_to_install.run_egg_info()
  File “J:Program Files
(x86)PythonPython27libsite-packagespipreq.py”,
ne 292, in run_egg_info
    logger.notify(‘Running setup.py (path:%s) egg_info for package %s’
% (sel
etup_py, self.name))
  File “J:Program Files
(x86)PythonPython27libsite-packages安装scrapy出错Failed building wheel for Twisted。pipreq.py”,
ne 265, in setup_py
    import setuptools
  File “buildbdist.win-amd64eggsetuptools__init__.py”, line
11, in <modul
    from setuptools.extension import Extension
  File “buildbdist.win-amd64eggsetuptoolsextension.py”, line 5,
in <modul
  File “buildbdist.win-amd64eggsetuptoolsdist.py”, line 15, in
<module>
  File “buildbdist.win-amd64eggsetuptoolscompat.py”, line 19, in
<module>
  File “J:Program Files
(x86)PythonPython27libSimpleHTTPServer.py”, line
, in <module>
    class
SimpleHTTPRequestHandler(BaseHTTPServer.BaseHTTPRequestHandler):
  File “J:Program Files
(x86)PythonPython27libSimpleHTTPServer.py”, line
8, in SimpleHTTPRequestHandler
    mimetypes.init() # try to read system mime.types
  File “J:Program Files (x86)PythonPython27libmimetypes.py”,
line 358, i
nit
    db.read_windows_registry()
  File “J:Program Files (x86)PythonPython27libmimetypes.py”,
line 258, i
ead_windows_registry
    for subkeyname in enum_types(hkcr):
  File “J:Program Files (x86)PythonPython27libmimetypes.py”,
line 249, i
num_types
    ctype = ctype.encode(default_encoding) # omit in 3.x!
UnicodeDecodeError: ‘ascii’ codec can’t decode byte 0xb0 in position 1:
ordin
not in range(128)

Storing debug log for failure in
C:UsersAdministratorpippip.log

解决方法:打开C:Python27Lib下的 mimetypes.py
文件,找到大概256行的

复制代码 代码如下:

default_encoding = sys.getdefaultencoding()

改成:

复制代码 代码如下:

if sys.getdefaultencoding() != ‘gbk’:
    reload(sys)
    sys.setdefaultencoding(‘gbk’)
default_encoding = sys.getdefaultencoding()

安装成功后,验证是否安装成功:

复制代码 代码如下:

C:UsersAdministrator>python
Python 2.7.6 (default, Nov 10 2013, 19:24:24) [MSC v.1500 64 bit
(AMD64)] on 32
Type “help”, “copyright”, “credits” or “license” for more information.
>>> from bs4 import BeautifulSoup
>>> exit()

如果“from bs4 import
BeautifulSoup”没有报错的话,则说明安装成功,否则,将报类似错误如下:

复制代码 代码如下:

Traceback (most recent call last):
  File “<stdin>”, line 1, in <module>
ImportError: No module named bs4

运行环境:Windows 8.1 Python:2.7.6
在安装的时候,我使用的pip来进行安装,命令如下: 复制代码 代…

今天在自己的Windows下装tensorflow(之前只是在虚拟机上装了),但安装时就会报错,然后一番搜索,最终解决了。

  Running setup.py bdist_wheel for Twisted … error

During handling of the above exception, another exception occurred:

During handling of the above exception, another exception occurred:

这是参考解决问题的网页链接。

  Failed building wheel for Twisted

Traceback (most recent call last):
File “c:program
filespython37libsite-packagespipbasecommand.py”, line 215, in
main
status = self.run(options, args)
File “c:program
filespython37libsite-packagespipcommandsinstall.py”, line
324, in run
requirement_set.prepare_files
File “c:program
filespython37libsite-packagespipreqreq_set.py”, line 380,
in prepare_files
ignore_dependencies=self.ignore_dependencies))
File “c:program
filespython37libsite-packagespipreqreq_set.py”, line 634,
in prepare_file
abstract_dist.prep_for_dist()
File “c:program
filespython37libsite-packagespipreqreq_set.py”, line 129,
in prep_for_dist
self.req_to_install.run_egg_info()
File “c:program
filespython37libsite-packagespipreqreq_install.py”, line
439, in run_egg_info
command_desc=’python setup.py egg_info’)
File “c:program
filespython37libsite-packagespiputils
_init__.py”, line
676, in call_subprocess
line = console_to_str(proc.stdout.readline
File “c:program
filespython37libsite-packagespipcompat__init__.py”, line
75, in console_to_str
return s.decode
UnicodeDecodeError: ‘utf-8’ codec can’t decode byte 0xb9 in position 14:
invalid start byte

Traceback (most recent call last):
File
“C:ProgramDataAnaconda3libsite-packagespipcommandsinstall.py”,
lin
e 342, in run
prefix=options.prefix_path,
File
“C:ProgramDataAnaconda3libsite-packagespipreqreq_set.py”,
line 784
, in install
**kwargs
File
“C:ProgramDataAnaconda3libsite-packagespipreqreq_install.py”,
line
878, in install
spinner=spinner,
File
“C:ProgramDataAnaconda3libsite-packagespiputils__init__.py”,
line
676, in call_subprocess
line = console_to_str(proc.stdout.readline
File
“C:ProgramDataAnaconda3libsite-packagespipcompat__init__.py”,
line
75, in console_to_str
return s.decode
UnicodeDecodeError: ‘utf-8’ codec can’t decode byte 0xa1 in position 42:
invalid
start byte

python3.6.1libsite-packagespipcompat__init__.py”, line
75
,

  Running setup.py clean for Twisted

有没有大佬告诉一下是哪里出了问题???

During handling of the above exception, another exception occurred:

in console_to_str

Failed to build Twisted

Traceback (most recent call last):
File
“C:ProgramDataAnaconda3libsite-packagespipcommandsinstall.py”,
lin
e 385, in run
requirement_set.cleanup_files()
File
“C:ProgramDataAnaconda3libsite-packagespipreqreq_set.py”,
line 729
, in cleanup_files
req.remove_temporary_source()
File
“C:ProgramDataAnaconda3libsite-packagespipreqreq_install.py”,
line
977, in remove_temporary_source
rmtree(self.source_dir)
File
“C:ProgramDataAnaconda3libsite-packagespip_vendorretrying.py”,
lin
e 49, in wrapped_f
return Retrying(*dargs, **dkw).call(f, *args, **kw)
File
“C:ProgramDataAnaconda3libsite-packagespip_vendorretrying.py”,
lin
e 212, in call
raise attempt.get()
File
“C:ProgramDataAnaconda3libsite-packagespip_vendorretrying.py”,
lin
e 247, in get
six.reraise(self.value[0], self.value[1], self.value[2])
File
“C:ProgramDataAnaconda3libsite-packagespip_vendorsix.py”,
line 686
, in reraise
raise value
File
“C:ProgramDataAnaconda3libsite-packagespip_vendorretrying.py”,
lin
e 200, in call
attempt = Attempt(fn(*args, **kwargs), attempt_number, False)
File
“C:ProgramDataAnaconda3libsite-packagespiputils__init__.py”,
line
102, in rmtree
onerror=rmtree_errorhandler)
File “C:ProgramDataAnaconda3libshutil.py”, line 488, in rmtree
return rmtree_unsafe(path, onerror)
File “C:ProgramDataAnaconda3libshutil.py”, line 387, in
_rmtree_unsafe
onerror(os.rmdir, path, sys.exc_info
File
“C:ProgramDataAnaconda3libsite-packagespiputils
_init__.py”,
line
114, in rmtree_errorhandler
func
PermissionError: [WinError 32]
另一个程序正在使用此文件,进程无法访问。: ‘C:Us
ersAaronAppDataLocalTemppip-build-v6n4yggtpymongo’

return s.decode(‘utf_8’)

Installing collected packages: pycparser, cffi, asn1crypto,
cryptography, pyOpenSSL, Twisted, pyasn1, pyasn1-modules,
service-identity, queuelib, scrapy

During handling of the above exception, another exception occurred:

UnicodeDecodeError: ‘utf-8’ codec can’t decode byte 0xc8 in position 12:
invalid

  Running setup.py install for Twisted … error

Traceback (most recent call last):
File
“C:ProgramDataAnaconda3libsite-packagespipbasecommand.py”,
line 215
, in main
status = self.run(options, args)
File
“C:ProgramDataAnaconda3libsite-packagespipcommandsinstall.py”,
lin
e 385, in run
requirement_set.cleanup_files()
File
“C:ProgramDataAnaconda3libsite-packagespiputilsbuild.py”,
line 38,
in exit
self.cleanup()
File
“C:ProgramDataAnaconda3libsite-packagespiputilsbuild.py”,
line 42,
in cleanup
rmtree(self.name)
File
“C:ProgramDataAnaconda3libsite-packagespip_vendorretrying.py”,
lin
e 49, in wrapped_f
return Retrying(*dargs, **dkw).call(f, *args, **kw)
File
“C:ProgramDataAnaconda3libsite-packagespip_vendorretrying.py”,
lin
e 212, in call
raise attempt.get()
File
“C:ProgramDataAnaconda3libsite-packagespip_vendorretrying.py”,
lin
e 247, in get
six.reraise(self.value[0], self.value[1], self.value[2])
File
“C:ProgramDataAnaconda3libsite-packagespip_vendorsix.py”,
line 686
, in reraise
raise value
File
“C:ProgramDataAnaconda3libsite-packagespip_vendorretrying.py”,
lin
e 200, in call
attempt = Attempt(fn(*args, **kwargs), attempt_number, False)
File
“C:ProgramDataAnaconda3libsite-packagespiputils__init__.py”,
line
102, in rmtree
onerror=rmtree_errorhandler)
File “C:ProgramDataAnaconda3libshutil.py”, line 488, in rmtree
return rmtree_unsafe(path, onerror)
File “C:ProgramDataAnaconda3libshutil.py”, line 378, in
_rmtree_unsafe
_rmtree_unsafe(fullname, onerror)
File “C:ProgramDataAnaconda3libshutil.py”, line 387, in
_rmtree_unsafe
onerror(os.rmdir, path, sys.exc_info
File
“C:ProgramDataAnaconda3libsite-packagespiputils
_init__.py”,
line
114, in rmtree_errorhandler
func
PermissionError: [WinError 32]
另一个程序正在使用此文件,进程无法访问。: ‘C:Us
ersAaronAppDataLocalTemppip-build-v6n4yggtpymongo’

 continuation byte

Exception:

然后就是我该死不死的在最初给电脑起了一个中文名字。

Traceback (most recent call last):

最后改了之后,就好了。

  File
“e:pythonenvspy2scripylibsite-packagespipcompat__init__.py”,
line 73, in console_to_str

而windows系统是用GBK编码的,因此尝试将pipcompat__init__.py中出现问题的那一句(也就是报错信息中我用红色标注的)’utf-8’改成‘gbk’,问题就解决了

    return s.decode(sys.__stdout__.encoding)

UnicodeDecodeError: ‘utf-8’ codec can’t decode byte 0xb6 in position 30:
invalid start byte

 

During handling of the above exception, another exception occurred:

 

Traceback (most recent call last):

  File
“e:pythonenvspy2scripylibsite-packagespipbasecommand.py”,
line 215, in main

    status = self.run(options, args)

  File
“e:pythonenvspy2scripylibsite-packagespipcommandsinstall.py”,
line 342, in run

    prefix=options.prefix_path,

  File
“e:pythonenvspy2scripylibsite-packagespipreqreq_set.py”,
line 784, in install

    **kwargs

  File
“e:pythonenvspy2scripylibsite-packagespipreqreq_install.py”,
line 878, in install

    spinner=spinner,

  File
“e:pythonenvspy2scripylibsite-packagespiputils__init__.py”,
line 676, in call_subprocess

    line = console_to_str(proc.stdout.readline())

  File
“e:pythonenvspy2scripylibsite-packagespipcompat__init__.py”,
line 75, in console_to_str

    return s.decode(‘utf_8’)

UnicodeDecodeError: ‘utf-8’ codec can’t decode byte 0xb6 in position 30:
invalid start byte

解决方法:

 图片 1

 

参考连接方法:

网站地图xml地图